{% extends "base.html" %}
{% load i18n %}
{% block page_name %}{{ summit.title }} - Register{%endblock %}
{% block content %}
{{ form.non_field_errors }}
{{ sponsform.non_field_errors }}

<div class="row">
  <section class="span-8">
    <h1>Register for DebConf 2015</h1>
      <p>
      Please read the
      <a href="http://debconf15.debconf.org/registration.xhtml">registration information</a>
      for explanations of the fields and process. For further questions or clarifications:
        <ul>
          <li style="font-size:2em">Any change requested after 30 June will be done on a <strong>best effort basis</strong>. <br />
            The venue is full on certain days. So you cannot change your arrival to earlier days and expect to be accommodated!</li>
          <li>Please check the
            <a href="https://wiki.debconf.org/wiki/DebConf15/RegistrationFAQ">Registration FAQ</a>.</li>
          <li>For help with visas: please contact <a href="mailto:visa@debconf.org">visa@debconf.org</a>.</li>
          <li>For general help: please contact <a href="mailto:registration@debconf.org">registration@debconf.org</a>.</li>
        </ul>
      </p>
  </section>
</div>
        {% if form.errors %}
<div class="row">
  <section class="span-8">
            <p style="color: red;">
                Please correct the error{{ form.errors|pluralize }} below.
            </p>
  </section>
</div>
        {% endif %}

<div class="row">
    <article id="form" class="span-12">
<form enctype="multipart/form-data" id="registration" action="{{ request.path_info }}{% if promocode %}?promo={{ promocode }}{% endif %}" method="POST">{% csrf_token %}
  <fieldset>
    <div class="form_section">
        <div class="form_header" id="general_profile">General</div>
	<div>
                <label for="id_firstname">First name</label>
		<div id="id_firstname">{{ request.user.first_name }}</div>
	</div>
	<div>
                <label for="id_lastname">Last name</label>
		<div id="id_lastname">{{ request.user.last_name }}</div>
	</div>
	{% if form.public_image.value %}
	    <div id="headshot-registration">
		<img src="{{ MEDIA_URL }}{{ form.public_image.value }}" class="thumbnail" />
	    </div>
	{% endif %}

{% for field in form.visible_fields %}
                {% if field.name == "start_utc" %}
    </div>
    <div class="form_section">
        <div class="form_header" id="conference_profile">Conference</div>
                {% elif field.name == "recording_ok" %}
    </div>
    <div class="form_section">
        <div class="form_header" id="preference_profile">Preferences</div>
                {% elif field.name == "telephone" %}
    </div>
    <div class="form_section">
        <div class="form_header" id="contact_profile">Contacts</div>
                {% endif %}

                {% if field.name == "registration_level" %}
                    <div class="help_text">
<p>If you attend DebConf in a <strong>professional
capacity</strong>, please register as a <q>professional
participant</q>. If you're joining as a <strong>representative of
your company</strong>, please register as a <q>corporate
participant</q>.<br/> <em>Your attendance fee helps make DebConf
possible</em>. To recognise your contribution, we would like to add
you to a <strong>public webpage listing</strong> with your name and
a link, as well as a small <strong>logo of your company</strong> for
corporate attendees. Furthermore, we'll try to give you
<strong>priority when allocating rooms</strong> and we'll present
you with an <strong>exclusive certificate of attendance</strong> at
the end of the conference. We're also always looking for other ways
to show our appreciation and may well include <strong>a token of
appreciation in your conference bag</strong>, or even two!</p>
                    </div>
                {% endif %}
                {% if field.name == "donation" %}
                    <div class="help_text">
        <p>Your donation enables more people to attend who could otherwise not afford it.
Donation receipts are available upon request.</p>
                    </div>
                {% endif %}

                {% if field.name == "public_image" %}
        <div>
		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
                    <input type="file" name="public_image" id="id_public_image" />
		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
        </div>
                {% else %}
	<div>
		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
		    {{ field }}

            {% if field.help_text %}
            <div class="help_text">
              {{ field.help_text|safe }}
            </div>
            {% endif %}

		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
	</div>
		{% endif %}
        {% if field.name == "departure_needs" %}
        <div class="notes">Please contact us if you have special needs</div>
        {% endif %}
{% endfor %}
{% for field in sponsform.visible_fields %}
                {% if field.name == "needs_accomodation" %}
    </div>
    <div class="form_section">
        <div class="form_header" id="sponsorship_profile">Sponsorship</div>
    <h3>Questions regarding your request for sponsorship</h3>
                {% endif %}
        <div>

                {% if field.name == "use" %}
                    <div class="help_text">
		<p><strong>Contributions to Debian:</strong> If you are applying
		  for sponsorship for <em>DebCamp</em>, put your DebCamp plan here.
		  By default we will evaluate requests for <em>food and
		    accommodation</em> sponsorship by looking at
		  <a href="http://contributors.debian.org">http://contributors.debian.org</a>.
		  If you want to tell us more, or if you are applying
		  for <em>travel sponsorship</em>, please answer the following
		  questions in the provided box.
		</p>
		<p>
		  <strong>(Question 1)</strong> <em>What have you done for Debian in the past?</em>
		  <strong>(Question 2)</strong> <em>What are your plans for this DebConf and/or DebCamp?</em>
		</p>
		<p>
		  Note that for DebConf, attending talks and learning
		  is a legitimate plan.  For DebCamp we expect
		  something more focused.  Linking to team project
		  descriptions on other sites is encouraged.
		</p>
                   </div>
                {% endif %}
                {% if field.name == "benefit" %}
    <h3>Optional questions for all sponsorship applicants</h3>
                    <div class="help_text">
    <p><strong>Contributions to DebConf:</strong>If you plan to give a talk, organize a BoF, etc, tell us about it
      here.
      (1) If you are applying as a volunteer, and perhaps not well known to
      the Debian community, you could tell us a bit about your relevant
      skills and experience.
      (2) If you are applying for food and accommodation sponsorship
      <strong>only</strong>, you can skip this.
    </p>
                   </div>
                {% endif %}
    {% if field.name == "costs" %}
    <h3>Additional questions for travel sponsorship</h3>
    {% endif %}

    {% if field.name == "financial_need" %}
                    <div class="help_text">
    <p><strong>Level of Financial Need (only for travel sponsorship):</strong>
      We value your privacy, but we also want to reduce financial
      barriers to attending DebConf.
    </p><p>
     Please choose honestly which of the following most accurately describes your situation (the alternatives are listed in descending order of need).
    </p>
                   </div>
                {% endif %}
    {% if field.name == "further_info" %}
                    <div class="help_text">
    <p><strong>Comments to the Bursaries Team</strong>
      Feel free to put any information you think will help the
      Bursaries team here.
      For special cases like food only, accommodation only,
      or travel only sponsorship, please explain the situation here.
      If you're new to the project, this is a good place to mention
      Debian Contributors we can contact to hear good things about you.
    </p>
                   </div>
                {% endif %}

		    {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}
		    {{ field }}


            {% if field.help_text %}
            <div class="help_text">
              {{ field.help_text|safe }}
            </div>
            {% endif %}

		    {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}
		    {% if field.errors %}
		    	<ul class="errorlist">
			{% for error in field.errors %}
			    <li class="error">{{ error }}</li>
			{% endfor %}
			</ul>
		    {% endif %}
	</div>
{% endfor %}
{% for field in sponsform.hidden_fields %}
	    <div class="hidden">{{ field }}</div>
{% endfor %}
    </div>
{% for field in form.hidden_fields %}
	    <div class="hidden">{{ field }}</div>
{% endfor %}
    <div class="form_section">
        <div class="form_header" id="conference_profile">Register</div>
<p>Please read the Debconf code of conduct in <a href="http://debconf.org/codeofconduct.shtml">http://debconf.org/codeofconduct.shtml</a> and the Debian code of conduct in <a href="https://www.debian.org/code_of_conduct">https://www.debian.org/code_of_conduct</a>.</p>
    </div>
<input type="submit" name="submit" value="Register" class="submit-button" />
  </fieldset>
</form>
    </article>
</div>
{% endblock %}
